#!/bin/sh

if [ ! -f /perkeep/config/identity-secring.gpg  ];
then
  pk put init -newkey
  mv perkeep/.config/perkeep/identity-secring.gpg /perkeep/config/
  IDENTITY=$(sed -n -e '/identity/ s/.*:.*"\(.*\)".*/\1/p' /perkeep/.config/perkeep/client-config.json | tee /dev/tty)
  sed -i -e "s/TO_REPLACE/$IDENTITY/g" /perkeep/config/server-config-custom.json
  rm -r /perkeep/.config
fi

exec "$@"